//TXUSERA JOB (4595,SUBS,3,8,0),
//        MSGCLASS=X,MSGLEVEL=(1,1),NOTIFY=&SYSUID,
//        CLASS=A
//*********************************************************************
//**
//**   Licensed Materials - Property of IBM and/or HCL
//**   (c) Copyright IBM Corporation 2005, 2016. All Rights Reserved.
//**   (c) Copyright HCL Technologies Ltd. 2017,2023. All Rights Reserved.
//**
//**   Note to U.S. Government Users Restricted Rights:
//**   Use, duplication or disclosure restricted by GSA ADP Schedule
//**   Contract with IBM Corp.
//**
//**
//**         SEPA VALIDATION
//**
//**   This is a sample JCL to assist with the execution of a SEPA
//**   message validation in Z/OS
//**
//**   The program to be executed is DTXCMDSV,
//**   the command line is passed through the PARM statement which
//**   references ddname PARMs, a dataset which contains the execution
//**   commands required to run the main map for the application.
//**
//**
//**********************************************************************
//**
//SCRATCH  EXEC  PGM=IEFBR14
//DD1    DD   DSN=TXUSER.WTX.CARD1.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD2    DD   DSN=TXUSER.WTX.CARD2.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD3    DD   DSN=TXUSER.WTX.CARD3.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD4    DD   DSN=TXUSER.WTX.DRRTRACE.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//STEP1 EXEC PGM=DTXCMDSV,REGION=0M,PARM='-@PARMS1'
//**********************************************************************
//**   Load libraries for TX and where all the maps and schemas reside
//**
//**********************************************************************
//**
//STEPLIB DD DSN=DSTX830.SDTXLOAD,DISP=SHR
//        DD DSN=TXUSER.WTX.MAPLIB,DISP=SHR
//**
//PARMS1  DD DSN=TXUSER.WTX.PARAMS(PARM),DISP=SHR
//***********************************************************************
//**
//**   This is the main map section which calls the top level map for a
//**   SEPA message validation. Also includes references for all  runmaps
//**   called from the main map
//**
//***********************************************************************
//MAPDDS   DD DSN=TXUSER.WTX.MAPLIB(SEPVALID),DISP=SHR
//SE1B002C DD DSN=TXUSER.WTX.MAPLIB(SE1B002C),DISP=SHR
//SE1B002D DD DSN=TXUSER.WTX.MAPLIB(SE1B002D),DISP=SHR
//SE1B027C DD DSN=TXUSER.WTX.MAPLIB(SE1B027C),DISP=SHR
//SE1B028C DD DSN=TXUSER.WTX.MAPLIB(SE1B028C),DISP=SHR
//SE1B028E DD DSN=TXUSER.WTX.MAPLIB(SE1B028E),DISP=SHR
//SE1B028F DD DSN=TXUSER.WTX.MAPLIB(SE1B028F),DISP=SHR
//SE1B028G DD DSN=TXUSER.WTX.MAPLIB(SE1B028G),DISP=SHR
//SE1B029C DD DSN=TXUSER.WTX.MAPLIB(SE1B029C),DISP=SHR
//SE1B029E DD DSN=TXUSER.WTX.MAPLIB(SE1B029E),DISP=SHR
//SE1B029F DD DSN=TXUSER.WTX.MAPLIB(SE1B029F),DISP=SHR
//SE1B029G DD DSN=TXUSER.WTX.MAPLIB(SE1B029G),DISP=SHR
//SE1B029H DD DSN=TXUSER.WTX.MAPLIB(SE1B029H),DISP=SHR
//SE1B029I DD DSN=TXUSER.WTX.MAPLIB(SE1B029I),DISP=SHR
//SE1B029J DD DSN=TXUSER.WTX.MAPLIB(SE1B029J),DISP=SHR
//SE1B003D DD DSN=TXUSER.WTX.MAPLIB(SE1B003D),DISP=SHR
//SE1B004C DD DSN=TXUSER.WTX.MAPLIB(SE1B004C),DISP=SHR
//SE1B004D DD DSN=TXUSER.WTX.MAPLIB(SE1B004D),DISP=SHR
//SE1B004E DD DSN=TXUSER.WTX.MAPLIB(SE1B004E),DISP=SHR
//SE1B004F DD DSN=TXUSER.WTX.MAPLIB(SE1B004F),DISP=SHR
//SE1B056C DD DSN=TXUSER.WTX.MAPLIB(SE1B056C),DISP=SHR
//SE1B056E DD DSN=TXUSER.WTX.MAPLIB(SE1B056E),DISP=SHR
//SE1B087C DD DSN=TXUSER.WTX.MAPLIB(SE1B087C),DISP=SHR
//SE1B007D DD DSN=TXUSER.WTX.MAPLIB(SE1B007D),DISP=SHR
//SE1B008C DD DSN=TXUSER.WTX.MAPLIB(SE1B008C),DISP=SHR
//SE1B008E DD DSN=TXUSER.WTX.MAPLIB(SE1B008E),DISP=SHR
//SE1B008F DD DSN=TXUSER.WTX.MAPLIB(SE1B008F),DISP=SHR
//SE1C001C DD DSN=TXUSER.WTX.MAPLIB(SE1C001C),DISP=SHR
//SE1C001E DD DSN=TXUSER.WTX.MAPLIB(SE1C001E),DISP=SHR
//SE1C001F DD DSN=TXUSER.WTX.MAPLIB(SE1C001F),DISP=SHR
//SE1C002C DD DSN=TXUSER.WTX.MAPLIB(SE1C002C),DISP=SHR
//SE1C002D DD DSN=TXUSER.WTX.MAPLIB(SE1C002D),DISP=SHR
//SE1C007D DD DSN=TXUSER.WTX.MAPLIB(SE1C007D),DISP=SHR
//SE1C008D DD DSN=TXUSER.WTX.MAPLIB(SE1C008D),DISP=SHR
//SE1E009M DD DSN=TXUSER.WTX.MAPLIB(SE1E009M),DISP=SHR
//SE1E010M DD DSN=TXUSER.WTX.MAPLIB(SE1E010M),DISP=SHR
//SE1E011M DD DSN=TXUSER.WTX.MAPLIB(SE1E011M),DISP=SHR
//SE1E012M DD DSN=TXUSER.WTX.MAPLIB(SE1E012M),DISP=SHR
//SEPLIB05 DD DSN=TXUSER.WTX.MAPLIB(SEPLIB05),DISP=SHR
//**********************************************************************
//**
//**   These are the references to the schemas that are used in the
//**   validation of the SEPA data. They need to reside in the same
//**   dataset as the maps
//**
//**********************************************************************
//PC002XSD  DD DSN=TXUSER.WTX.PACS002.XSD,DISP=SHR
//PC028XSD  DD DSN=TXUSER.WTX.PACS028.XSD,DISP=SHR
//PC003XSD  DD DSN=TXUSER.WTX.PACS003.XSD,DISP=SHR
//PC004XSD  DD DSN=TXUSER.WTX.PACS004.XSD,DISP=SHR
//PC007XSD  DD DSN=TXUSER.WTX.PACS007.XSD,DISP=SHR
//PC008XSD  DD DSN=TXUSER.WTX.PACS008.XSD,DISP=SHR
//PN001XSD  DD DSN=TXUSER.WTX.PAIN001.XSD,DISP=SHR
//PN002XSD  DD DSN=TXUSER.WTX.PAIN002.XSD,DISP=SHR
//PN007XSD  DD DSN=TXUSER.WTX.PAIN007.XSD,DISP=SHR
//PN008XSD  DD DSN=TXUSER.WTX.PAIN008.XSD,DISP=SHR
//PN009XSD  DD DSN=TXUSER.WTX.PAIN009.XSD,DISP=SHR
//PN010XSD  DD DSN=TXUSER.WTX.PAIN010.XSD,DISP=SHR
//PN011XSD  DD DSN=TXUSER.WTX.PAIN011.XSD,DISP=SHR
//PN012XSD  DD DSN=TXUSER.WTX.PAIN012.XSD,DISP=SHR
//CM029XSD  DD DSN=TXUSER.WTX.CAMT029.XSD,DISP=SHR
//CM027XSD  DD DSN=TXUSER.WTX.CAMT027.XSD,DISP=SHR
//CM056XSD  DD DSN=TXUSER.WTX.CAMT056.XSD,DISP=SHR
//CM087XSD  DD DSN=TXUSER.WTX.CAMT087.XSD,DISP=SHR
//BICSCHEM  DD DSN=TXUSER.WTX.BIC.XSD,DISP=SHR
//CURCODE   DD DSN=TXUSER.WTX.CURCODE.XSD,DISP=SHR
//SEPACONF  DD DSN=TXUSER.WTX.SEPACFG.XSD,DISP=SHR
//XLIFF     DD DSN=TXUSER.WTX.XLIFF.DTD,DISP=SHR
//TRCELOG   DD DSN=TXUSER.WTX.TRACELOG.XSD,DISP=SHR
//**********************************************************************
//**
//**    These are the references to the input and output files as
//**    defined in the PARMS command file and as needed by run maps.
//**    SEPAINP would contain the SEPA message to be validated. SEP000
//**    will refer to the matching file, if no matching is desired, the
//**    file SEP000.XML should be used.  The ERROR output will contain
//**    the UNIFI errors. SEPERROR output will contain in addition the
//**    SEPA errors if any. If these files are empty, the data is valid.
//**
//**    NOTE: DISP for the OUTPUT, ERROR and SEPERROR files needs to be
//**    changed to NEW or SHR depending on whether the file previously
//**    existed or not
//**
//**********************************************************************
//SEPAINP  DD DSN=TXUSER.WTX.INPUT1.XML,DISP=SHR
//SEP000   DD DSN=TXUSER.WTX.SEP000.XML,DISP=SHR
//PAIN001C DD DSN=TXUSER.WTX.PAIN001C.XML,DISP=SHR
//PAIN001E DD DSN=TXUSER.WTX.PAIN001E.XML,DISP=SHR
//PAIN001F DD DSN=TXUSER.WTX.PAIN001F.XML,DISP=SHR
//PAIN002C DD DSN=TXUSER.WTX.PAIN002C.XML,DISP=SHR
//PAIN002D DD DSN=TXUSER.WTX.PAIN002D.XML,DISP=SHR
//PAIN007D DD DSN=TXUSER.WTX.PAIN007D.XML,DISP=SHR
//PAIN008D DD DSN=TXUSER.WTX.PAIN008D.XML,DISP=SHR
//PAIN009D DD DSN=TXUSER.WTX.PAIN009D.XML,DISP=SHR
//PAIN010D DD DSN=TXUSER.WTX.PAIN010D.XML,DISP=SHR
//PAIN011D DD DSN=TXUSER.WTX.PAIN011D.XML,DISP=SHR
//PAIN012D DD DSN=TXUSER.WTX.PAIN012D.XML,DISP=SHR
//PACS002C DD DSN=TXUSER.WTX.PACS002C.XML,DISP=SHR
//PACS002D DD DSN=TXUSER.WTX.PACS002D.XML,DISP=SHR
//PACS004C DD DSN=TXUSER.WTX.PACS004C.XML,DISP=SHR
//PACS004E DD DSN=TXUSER.WTX.PACS004D.XML,DISP=SHR
//PACS004D DD DSN=TXUSER.WTX.PACS004E.XML,DISP=SHR
//PACS004F DD DSN=TXUSER.WTX.PACS004F.XML,DISP=SHR
//PACS007D DD DSN=TXUSER.WTX.PACS007D.XML,DISP=SHR
//PACS008C DD DSN=TXUSER.WTX.PACS008C.XML,DISP=SHR
//PACS008E DD DSN=TXUSER.WTX.PACS008E.XML,DISP=SHR
//PACS008F DD DSN=TXUSER.WTX.PACS008F.XML,DISP=SHR
//PACS003D DD DSN=TXUSER.WTX.PACS003D.XML,DISP=SHR
//PACS028C DD DSN=TXUSER.WTX.PACS028C.XML,DISP=SHR
//PACS028E DD DSN=TXUSER.WTX.PACS028E.XML,DISP=SHR
//PACS028G DD DSN=TXUSER.WTX.PACS028G.XML,DISP=SHR
//CAMT056C DD DSN=TXUSER.WTX.CAMT056C.XML,DISP=SHR
//CAMT056E DD DSN=TXUSER.WTX.CAMT056E.XML,DISP=SHR
//CAMT027C DD DSN=TXUSER.WTX.CAMT027C.XML,DISP=SHR
//CAMT087C DD DSN=TXUSER.WTX.CAMT087C.XML,DISP=SHR
//CAMT029C DD DSN=TXUSER.WTX.CAMT029C.XML,DISP=SHR
//CAMT029E DD DSN=TXUSER.WTX.CAMT029E.XML,DISP=SHR
//CAMT029F DD DSN=TXUSER.WTX.CAMT029F.XML,DISP=SHR
//CAMT029G DD DSN=TXUSER.WTX.CAMT029G.XML,DISP=SHR
//CAMT029H DD DSN=TXUSER.WTX.CAMT029H.XML,DISP=SHR
//CAMT029I DD DSN=TXUSER.WTX.CAMT029I.XML,DISP=SHR
//CAMT029J DD DSN=TXUSER.WTX.CAMT029J.XML,DISP=SHR
//BIC      DD DSN=TXUSER.WTX.BIC.XML,DISP=SHR
//CURRENCY DD DSN=TXUSER.WTX.CURCODEC.XML,DISP=SHR
//SEPAMSGS DD DSN=TXUSER.WTX.SEPAMSGS.XML,DISP=SHR
//EPCL     DD DSN=TXUSER.WTX.EPCL.TXT,DISP=SHR
//EEASEPAC DD DSN=TXUSER.WTX.EEASEPAC.TXT,DISP=SHR
//ERRC     DD DSN=TXUSER.WTX.ERRC.TXT,DISP=SHR
//OUTPUT1  DD DSN=TXUSER.WTX.CARD1.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=80),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//OUTPUT2  DD DSN=TXUSER.WTX.CARD2.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=80),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//OUTPUT3     DD DSN=TXUSER.WTX.CARD3.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=32500),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//**
//**********************************************************************
//**
//**   Trace and log files
//**
//**********************************************************************
//*DSTXXLOG DD SYSOUT=*
//DSTXXLOG DD  DSN=TXUSER.WTX.DRRTRACE.XML,
//             DISP=(MOD,CATLG,DELETE),
//             DCB=(RECFM=VB,LRECL=32500),
//             UNIT=SYSDA,
//             SPACE=(CYL,(20,1),RLSE)
//**
//DTXAUD   DD SYSOUT=*
//DTXTRCE  DD SYSOUT=*
//SYSPRINT DD SYSOUT=*
//SYSOUT   DD SYSOUT=*
//CEEDUMP  DD SYSOUT=*
//**********************************************************************
//**
//**   Static temporary dataset allocations
//**
//**********************************************************************
//SYSTMP01 DD DSN=&&TEMP01,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP02 DD DSN=&&TEMP02,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP03 DD DSN=&&TEMP03,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP04 DD DSN=&&TEMP04,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP05 DD DSN=&&TEMP05,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
