//DMVUTIL  JOB (4595,SUBS,3,8,0),
//        MSGCLASS=X,MSGLEVEL=(1,1),NOTIFY=&SYSUID,
//        CLASS=A
//*******************************************************************
//* Sample JCL to execute the ERRPARSE map using the
//* Transformation Extender Command Server for z/OS (OS/390).
//*
//*   Licensed Materials - Property of IBM and/or HCL
//*    Copyright IBM Corporation 2005, 2016. All Rights Reserved.
//*    Copyright HCL Technologies Ltd. 2017,2023. All Rights Reserved.
//*
//*   Note to U.S. Government Users Restricted Rights:
//*   Use, duplication or disclosure restricted by GSA ADP Schedule
//*   Contract with IBM Corp.
//*
//**********************************************************************
//**
//SCRATCH  EXEC  PGM=IEFBR14
//DD1    DD   DSN=USER1.ERR1.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD2    DD   DSN=USER1.ERR2.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD3    DD   DSN=USER1.ERR3.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD4    DD   DSN=USER1.ERR4.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD5    DD   DSN=USER1.ERRTRACE.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//STEP1 EXEC PGM=DTXCMDSV,REGION=0M,PARM='-@PARMS1'
//**********************************************************************
//**   Load libraries for TX and where all the maps and schemas reside
//**
//**********************************************************************
//**
//STEPLIB DD DSN=DSTX.REL8102.BLD00.XPL.LOADLIB,DISP=SHR
//        DD DSN=USER1.DSTX810.MAPLIB,DISP=SHR
//**
//PARMS1  DD DSN=USER1.DSTX810.PARAMS(PARM2),DISP=SHR
//**********************************************************************
//**
//**   This is the main map section which calls the top level map for a
//**   SEPA error retrieval. Also includes references for all runmaps
//**   called from the main map
//**
//**********************************************************************
//MAPDDS   DD DSN=USER1.DSTX810.MAPLIB(ERRPARSE),DISP=SHR
//SEPLIB05 DD DSN=USER1.DSTX810.MAPLIB(SEPLIB05),DISP=SHR
//SEPLIB06 DD DSN=USER1.DSTX810.MAPLIB(SEPLIB06),DISP=SHR
//IPOIN    DD DSN=USER1.DSTX810.MAPLIB(IPOIN),DISP=SHR
//$IPO0000 DD DSN=USER1.DSTX810.MAPLIB($IPO0000),DISP=SHR
//ERRC008# DD DSN=USER1.DSTX810.MAPLIB(ERRC008),DISP=SHR
//ERRC007# DD DSN=USER1.DSTX810.MAPLIB(ERRC007),DISP=SHR
//ERRC002# DD DSN=USER1.DSTX810.MAPLIB(ERRC002),DISP=SHR
//ERRC001# DD DSN=USER1.DSTX810.MAPLIB(ERRC001),DISP=SHR
//ERRB008# DD DSN=USER1.DSTX810.MAPLIB(ERRB008),DISP=SHR
//ERRB007# DD DSN=USER1.DSTX810.MAPLIB(ERRB007),DISP=SHR
//ERRB004# DD DSN=USER1.DSTX810.MAPLIB(ERRB004),DISP=SHR
//ERRB003# DD DSN=USER1.DSTX810.MAPLIB(ERRB003),DISP=SHR
//ERRB002# DD DSN=USER1.DSTX810.MAPLIB(ERRB002),DISP=SHR

//**********************************************************************
//**
//**   These are the references to the schemas that are used by
//**   the SEPA data. They need to reside in the same
//**   dataset as the maps
//**
//**********************************************************************
//PC002XSD  DD DSN=USER1.PACS002.XSD,DISP=SHR
//PC003XSD  DD DSN=USER1.PACS003.XSD,DISP=SHR
//PC004XSD  DD DSN=USER1.PACS004.XSD,DISP=SHR
//PC007XSD  DD DSN=USER1.PACS007.XSD,DISP=SHR
//PC008XSD  DD DSN=USER1.PACS008.XSD,DISP=SHR
//PN001XSD  DD DSN=USER1.PAIN001.XSD,DISP=SHR
//PN002XSD  DD DSN=USER1.PAIN002.XSD,DISP=SHR
//PN007XSD  DD DSN=USER1.PAIN007.XSD,DISP=SHR
//PN008XSD  DD DSN=USER1.PAIN008.XSD,DISP=SHR
//SEPACONF  DD DSN=USER1.SEPACFG.XSD,DISP=SHR
//XLIFF     DD DSN=USER1.XLIFF.DTD,DISP=SHR
//TRLOGXSD  DD DSN=USER1.TRACELOG.XSD,DISP=SHR
//**********************************************************************
//**
//**    These are the references to the input and output files as
//**    defined in the PARMS command file and as needed by run maps.
//**    ERRDATA
//**    would contain the SEPA message to be parsed for errors.
//**********************************************************************
//ERRDATA  DD DSN=USER1.YOURDATA.XML,DISP=SHR
//SEPAMSGS DD DSN=USER1.SEPAMSGS.XML,DISP=SHR
//ERR1     DD DSN=USER1.ERR1.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=120),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//ERR2     DD DSN=USER1.ERR2.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=80),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//ERR3     DD DSN=USER1.ERR3.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=120),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//ERR4     DD DSN=USER1.ERR4.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=120),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//**********************************************************************
//**
//**   Trace and log files
//**
//**********************************************************************
//DSTXXLOG DD  DSN=USER1.ERRTRACE.XML,DISP=(MOD,CATLG,DELETE),
//             DCB=(RECFM=VB,LRECL=31760),
//             UNIT=SYSDA,SPACE=(CYL,(20,1),RLSE)
//DTXLOG   DD  SYSOUT=*
//DTXAUD   DD  SYSOUT=*
//DTXTRCE  DD  SYSOUT=*
//DTXDEBG  DD  SYSOUT=*
//SYSPRINT DD  SYSOUT=*
//SYSOUT   DD  SYSOUT=*
//CEEDUMP  DD  SYSOUT=*
//**********************************************************************
//** 3.4
//**   Static temporary dataset allocations
//**
//**********************************************************************
//SYSTMP00  DD DSN=&&TEMP00,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP01  DD DSN=&&TEMP01,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP02  DD DSN=&&TEMP02,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP03  DD DSN=&&TEMP03,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP04  DD DSN=&&TEMP04,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP05  DD DSN=&&TEMP05,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP06  DD DSN=&&TEMP06,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP07  DD DSN=&&TEMP07,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP08  DD DSN=&&TEMP08,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP09  DD DSN=&&TEMP09,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
