@echo off
@rem ==========================================================================
@rem == Licensed Materials - Property of IBM Corporation
@rem == (C) Copyright IBM Corporation 2015
@rem ==========================================================================
@rem Loads %PACK% pack example resources exported from a Windows install
@rem Run this from an SPE console window.
@rem ==========================================================================
@rem
if not defined InSPEConsole echo This command must be run in an SPE console session
if not defined InSPEConsole goto :EOF

set PACK=fsp

rem help syntax
if /i "%1"=="/?" goto SYNTAX

:IMPORT_FSP_RESOURCES
cd %SPE_INSTALL_DIR%
set DBPROPS="dbprops=%SPE_INSTALL_DIR%\dbprops.cfg"
set RESULT=Could not find any %PACK% pack example files

:IMPORT_FSP_SWIFT_RESOURCES
set STANDARD=swift
echo.
echo Loading %PACK% %STANDARD% pack example resources
echo.

:IMPORT_FSP_SWIFT_CODELISTS
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\import" goto IMPORT_FSP_SWIFT_DEENVELOPE_IMPORT
set MESSAGE=There was an error while loading %PACK% %STANDARD% example code lists 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\import" updateExisting updateDefaultVersion
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_FSP_SWIFT_DEENVELOPE_IMPORT
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\deenvelope\import" goto IMPORT_FSP_SWIFT_ENVELOPE_IMPORT
set MESSAGE=There was an error while loading %PACK% %STANDARD% deenvelope example import files 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\deenvelope\import"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_FSP_SWIFT_ENVELOPE_IMPORT
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\envelope\import" goto IMPORT_FSP_SWIFT_SCHEMAS
set MESSAGE=There was an error while loading %PACK% %STANDARD% envelope example import files
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\envelope\import"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_FSP_SWIFT_SCHEMAS
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\schemas" goto IMPORT_FSP_SWIFT_MAPS
set MESSAGE=There was an error while loading %PACK% %STANDARD% example schemas 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\schemas"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_FSP_SWIFT_MAPS
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\maps" goto IMPORT_FSP_SEPA_RESOURCES
set MESSAGE=There was an error while loading %PACK% %STANDARD% example maps 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\maps"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_FSP_SEPA_RESOURCES
set STANDARD=sepa
echo.
echo Loading %PACK% %STANDARD% pack example resources
echo.

:IMPORT_FSP_SEPA_DEENVELOPE_IMPORT
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\deenvelope\import" goto IMPORT_FSP_SEPA_ENVELOPE_IMPORT
set MESSAGE=There was an error while loading %PACK% %STANDARD% deenvelope example import files 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\deenvelope\import"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_FSP_SEPA_ENVELOPE_IMPORT
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\envelope\import" goto IMPORT_FSP_SEPA_SCHEMAS
set MESSAGE=There was an error while loading %PACK% %STANDARD% envelope example import files
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\envelope\import"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_FSP_SEPA_SCHEMAS
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\schemas" goto IMPORT_FSP_SEPA_MAPS
set MESSAGE=There was an error while loading %PACK% %STANDARD% example schemas 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\schemas"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_FSP_SEPA_MAPS
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\maps" goto DONE
set MESSAGE=There was an error while loading %PACK% %STANDARD% example maps 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\maps"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

goto DONE

:DONE
echo.
echo %RESULT%
echo.
set DBPROPS=
set MESSAGE=
set PACK=
set RESULT=
set STANDARD=
goto :EOF

:ERROR
echo.
echo.%MESSAGE%
echo.
set DBPROPS=
set MESSAGE=
set PACK=
set RESULT=
set STANDARD=
cd %SPE_INSTALL_DIR%
goto :EOF

:SYNTAX
echo Loads %PACK% pack example resources exported from a Windows install
echo.
echo spesetupsamples-pack%PACK%.bat
echo.
goto :EOF

:EOF
